<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ycwh.mapper.FeedbackMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="feedbackResultMap" type="org.springblade.modules.ycwh.entity.FeedbackEntity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="remark" property="remark"/>
        <result column="sort" property="sort"/>
        <result column="member_id" property="memberId"/>
        <result column="source_type" property="sourceType"/>
        <result column="source_id" property="sourceId"/>
        <result column="content" property="content"/>
    </resultMap>


    <select id="selectFeedbackPage" resultMap="feedbackResultMap">
        select * from ycwh_feedback where is_deleted = 0
    </select>


    <select id="exportFeedback" resultType="org.springblade.modules.ycwh.excel.FeedbackExcel">
        SELECT * FROM ycwh_feedback ${ew.customSqlSegment}
    </select>

</mapper>
